#
# spec file for package vdr-plugin-remote (Version 0.4.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define pluginversion 0.4.0
%define pluginname remote
%define pluginurl http://www.escape-edv.de/endriss/vdr
#
%define plugindir %pluginname-%pluginversion
%define plugintarball vdr-%pluginname-%pluginversion.tgz
#
%define pkgversion %pluginversion

Name:           vdr-plugin-%pluginname
Version:        %pkgversion
Release:        11.2
Source:         %plugintarball
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        VDR %pluginname plugin
License:        GPLv2+
Group:          Hardware/TV
BuildRequires:  gcc-c++ vdr-devel
Url:            %pluginurl
Patch0:         remote-0.4.0-locale.diff
# only needed for packages that used the old naming scheme
Obsoletes:      vdr-%pluginname < %pkgversion
# used to be in vdr-plugins
Provides:       vdr-plugins:/usr/share/doc/packages/vdr/plugins/%{pluginname}
Conflicts:      vdr-plugins <= 0.5
Requires:	vdrapi = %{vdrapi}
%define srcdir %pluginname-%{version}

%description

#%vdrname %pluginname plugin
%prep 
%{vdr_plugin_prepare}
tar xvf %SOURCE0
cd %srcdir
%patch0 -p1

%build
%{vdr_plugin_make}

%install
%{vdr_plugin_install}
%{vdr_find_locale}

%clean
rm -rf "${RPM_BUILD_ROOT}"

%files -f vdrlocale.files
%defattr(-,root,root)
%{_libdir}/vdr/*
%{vdr_dirs}
%doc %srcdir/COPYING %srcdir/HISTORY %srcdir/README %srcdir/FAQ
#%{_libdir}/*

%changelog
